1 Reply Latest reply: May 16, 2012 7:41 AM by KiltedTim
See Lam Level 1 Level 1 (0 points)

hi, I am using iPhone 3GS, version 4.3.5(8L1), may I know it is appropriated to upgrade to iOS5?

Thanks!

 

Best Regards

 

 

See Lam


iPhone 3GS, iOS 4.3.3